=== debian/changelog ===
ros-rolling-canopen-402-driver (0.2.7-1jammy) jammy; urgency=high

  * Add missing license headers and activate ament_copyright
  * Fix maintainer naming
  * Contributors: Christoph Hellmann Santos

 -- Christoph Hellmann Santos <christoph.hellmann.santos@ipa.fraunhofer.de>  Thu, 29 Jun 2023 22:00:00 -0000

ros-rolling-canopen-402-driver (0.2.6-1jammy) jammy; urgency=high



 -- christoph <christoph.hellmann.santos@ipa.fraunhofer.de>  Fri, 23 Jun 2023 22:00:00 -0000

ros-rolling-canopen-402-driver (0.2.5-1jammy) jammy; urgency=high



 -- christoph <christoph.hellmann.santos@ipa.fraunhofer.de>  Thu, 22 Jun 2023 22:00:00 -0000

ros-rolling-canopen-402-driver (0.2.4-1jammy) jammy; urgency=high



 -- christoph <christoph.hellmann.santos@ipa.fraunhofer.de>  Wed, 21 Jun 2023 22:00:00 -0000

ros-rolling-canopen-402-driver (0.2.3-1jammy) jammy; urgency=high



 -- christoph <christoph.hellmann.santos@ipa.fraunhofer.de>  Wed, 21 Jun 2023 22:00:00 -0000

ros-rolling-canopen-402-driver (0.2.2-1jammy) jammy; urgency=high



 -- christoph <christoph.hellmann.santos@ipa.fraunhofer.de>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-canopen-402-driver (0.2.1-1jammy) jammy; urgency=high

  * Fix boost/std placeholders ambiguity in older boost versions
  * Contributors: Christoph Hellmann Santos

 -- christoph <christoph.hellmann.santos@ipa.fraunhofer.de>  Tue, 20 Jun 2023 22:00:00 -0000

ros-rolling-canopen-402-driver (0.2.0-1jammy) jammy; urgency=high

  * Created package
  * Contributors: Borong Yuan, Błażej Sowa, Christoph Hellmann Santos, Denis Štogl, G.A. vd. Hoorn, Lovro, Vishnuprasad Prachandabhanu, livanov93

 -- christoph <christoph.hellmann.santos@ipa.fraunhofer.de>  Tue, 13 Jun 2023 22:00:00 -0000
