=== debian/control ===
Source: ros-rolling-canopen-402-driver
Section: misc
Priority: optional
Maintainer: Christoph Hellmann Santos <christoph.hellmann.santos@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-canopen-base-driver, ros-rolling-canopen-core, ros-rolling-canopen-interfaces, ros-rolling-canopen-proxy-driver, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rclcpp-lifecycle, ros-rolling-sensor-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-canopen-402-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-rolling-canopen-base-driver, ros-rolling-canopen-core, ros-rolling-canopen-interfaces, ros-rolling-canopen-proxy-driver, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rclcpp-lifecycle, ros-rolling-sensor-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace
Description: Driiver for devices implementing CIA402 profile
